Authentication Data
Get authentications
Get a list of all the authentications for this account. The results are grouped into pages. The caller can specify how many customers per page shall be listed (maximum is 500).
GET
/
authentications
Get authentications
curl --request GET \
--url https://sandbox.hellgate.io/authentications \
--header 'X-API-Key: <api-key>'import requests
url = "https://sandbox.hellgate.io/authentications"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://sandbox.hellgate.io/authentications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "7dcb4365-a948-4b41-a2d2-a7bffa2d3994",
"amount": 1000,
"currency_code": "EUR",
"action_requirement": {
"type": "use_sdk",
"session_id": "d5b8e449-13da-4594-bf00-643146fb35d1"
},
"created_at": "2023-10-10T00:00:00Z",
"challenge_preference": "CHALLENGE",
"purchase_date": "20241010000000",
"use_case": "ONE_OFF",
"source": {
"type": "token",
"token_id": "71820e49-6822-4df1-8db5-d245456172b6"
},
"status": "PROCESSING"
}
],
"pagination": {
"current_page": 1,
"page_size": 1,
"total_items": 1,
"total_pages": 1
}
}{
"code": 401,
"message": "No valid means of authentication was provided",
"classifier": "UNAUTHORIZED"
}{
"code": 403,
"message": "Not allowed to access this resource or feature",
"classifier": "FORBIDDEN"
}{
"code": 422,
"classifier": "VALIDATION_ERROR",
"message": "Validation error",
"validation_errors": [
{
"path": "json-path",
"message": "human readable error message"
}
]
}Authorizations
Query Parameters
Parameter to filter the authentication types
The desired amount of records per page. The parameter defaults to 50 if it is omitted and has a maximum of 500.
Required range:
1 <= x <= 500The desired number of the page to return.
Required range:
x >= 1⌘I
Get authentications
